<!DOCTYPE html>
<html lang="es">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Animación de la letra S</title>
<style>
  body {
    background-color: black;
    margin: 0;
    overflow: hidden;
  }
  
  #letter {
    color: red;
    font-size: 10px; /* Tamaño inicial */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: font-size 40s linear; /* Transición de tamaño durante 30 segundos */
    z-index: 1; /* Asegurar que la letra "S" esté por encima del contenido */
  }
  
  #dentro {
    color: rgb(255, 255, 255);
    font-size: 6vw; /* Tamaño de letra para el contenido de letras */
    font-family: monospace;
    text-align: center; /* Centrar el texto horizontalmente */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
</style>
</head>
<body>
  <div id="letter">S</div>

  <script>
    document.addEventListener('DOMContentLoaded', function() {
      var letter = document.getElementById('letter');
      setTimeout(function() {
        letter.style.fontSize = '1000px'; /* Tamaño final después de 30 segundos */
      }, 100); /* Retraso de 100ms para que el cambio de tamaño sea visible */

      // Ocultar la letra "S" después de 1 minuto
      setTimeout(function() {
        letter.style.display = 'none';
      }, 50000); // 1 minuto en milisegundos

      // Detectar cuando la transición de tamaño ha terminado
      letter.addEventListener('transitionend', function() {
        // Una vez que la transición ha terminado, cambiar el fondo a blanco
        document.body.style.backgroundColor = 'white';

        // Mostrar el contenido del segundo HTML
        document.getElementById('dentro').style.display = 'block';
      });
    });
  </script>
  
  <!-- Contenido de letras -->
  <div id="dentro" style="display: none;">
    <!DOCTYPE html>
    <html lang="es">
    <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Una letra</title>
    <style>
        body {
            background: white;
            font-family: monospace;
            margin: 0;
            height: 100vh; /* Hacer que el cuerpo ocupe toda la altura de la ventana */
            display: flex;
            justify-content: center; /* Centrar horizontalmente */
            align-items: center; /* Centrar verticalmente */
        }

        #dentro {
            color: rgb(255, 255, 255);
            text-align: center; /* Centrar el texto horizontalmente */
        }
    </style>
    </head>
    <body>

    <div id="dentro">PRIDE</div>

    <script>
        const letras = 'PRIDE';

        function elegir(cadena) {
            return cadena[Math.floor(Math.random() * cadena.length)];
        }

        function generarCuadricula() {
            var dentro = document.getElementById('dentro');
            dentro.innerHTML = ''; // Limpiar contenido anterior

            // Generar una cuadrícula de 5x5 con letras aleatorias
            for (var i = 0; i < 5; i++) {
                for (var j = 0; j < 5; j++) {
                    var letra = elegir(letras);
                    dentro.innerHTML += letra + ' '; // Agregar letra con espacio
                }
                dentro.innerHTML += '<br>'; // Agregar salto de línea
            }
            dentro.style.color = '#' + Math.floor(Math.random() * 4096).toString(16); // Cambiar color aleatoriamente
        }

        setInterval(generarCuadricula, 500); // Llamar a la función 'generarCuadricula' cada 500 milisegundos
    </script>

    </body>
    </html>
  </div>
</body>
</html>
